c_files = Neighborhood.c utils.c MaxHeap.c
h_files = Neighborhood.h utils.h MaxHeap.h types.h


libNeighborhood.so: $(c_files) $(h_files)
	gcc -shared -Wall -O2 $(c_files) -o $@


test: test.c $(c_files)
	gcc -Wall -O2 $< -o test.exe -DDoTest
	./test.exe
